Subject: Re: linux-next: manual merge of the dmaengine tree with the dmaengine-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 6 Jul 2020 16:03:09 +1000

Hi all,

On Mon, 6 Jul 2020 10:11:46 +0530 Vinod Koul <[email-masked]> wrote:
>
> On 05-07-20, 21:23, Dave Jiang wrote:
> > 
> > On 7/5/2020 8:56 PM, Stephen Rothwell wrote:  
> > > 
> > > Today's linux-next merge of the dmaengine tree got a conflict in:
> > > 
> > >    drivers/dma/idxd/sysfs.c
> > > 
> > > between commit:
> > > 
> > >    da32b28c95a7 ("dmaengine: idxd: cleanup workqueue config after disabling")
> > > 
> > > from the dmaengine-fixes tree and commit:
> > > 
> > >    f50b150e315e ("dmaengine: idxd: add work queue drain support")
> > > 
> > > from the dmaengine tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.
> > >   
> > 
> > Hi Stephen. Thanks for the fixup. I think there are two more bits that are
> > needed from f50b150e315e if you don't mind adding:  
> 
> I will merge the fixes into next so it should be resolved for tomorrow,

Thanks,

> > 
> > diff --cc drivers/dma/idxd/sysfs.c
> > index 2e2c5082f322,6f0711a822a1..000000000000
> > --- a/drivers/dma/idxd/sysfs.c
> > +++ b/drivers/dma/idxd/sysfs.c
> > @@@ -313,14 -303,7 +303,12 @@@ static int idxd_config_bus_remove(struc
> >   		}
> > 
> >   		idxd_unregister_dma_device(idxd);
> > - 		spin_lock_irqsave(&idxd->dev_lock, flags);
> >   		rc = idxd_device_disable(idxd);
> >  +		for (i = 0; i < idxd->max_wqs; i++) {
> >  +			struct idxd_wq *wq = &idxd->wqs[i];
> >  +
> >   
> > >			mutex_lock(&wq->wq_lock);  
> > 
> >  +			idxd_wq_disable_cleanup(wq);
> >   
> > >			mutex_unlock(&wq->wq_lock);  
> > 
> >  +		}
> > - 		spin_unlock_irqrestore(&idxd->dev_lock, flags);
> >   		module_put(THIS_MODULE);
> >   		if (rc < 0)
> >   			dev_warn(dev, "Device disable failed\n");  
> 

I added that fix up by hand today just in case it matters for testing.

-- 
Cheers,
Stephen Rothwell